package cn.iocoder.yudao.module.llm.dal.mysql.modelassesstaskmanual;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.llm.controller.admin.modelassesstaskmanual.manualAnnoVo.ManualModelAnnoPageReqVO;
import cn.iocoder.yudao.module.llm.dal.dataobject.modelassesstaskmanual.ManualModelAnnoDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 模型评估人工评估标注 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface ManualModelAnnoMapper extends BaseMapperX<ManualModelAnnoDO> {

    default PageResult<ManualModelAnnoDO> selectPage(ManualModelAnnoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ManualModelAnnoDO>()
                .eqIfPresent(ManualModelAnnoDO::getManalTaskId, reqVO.getManalTaskId())
                .eqIfPresent(ManualModelAnnoDO::getModelAnswerId, reqVO.getModelAnswerId())
                .eqIfPresent(ManualModelAnnoDO::getDimensionId, reqVO.getDimensionId())
                .eqIfPresent(ManualModelAnnoDO::getScore, reqVO.getScore())
                .betweenIfPresent(ManualModelAnnoDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ManualModelAnnoDO::getId));
    }

}